Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1413316 - [RFE] enable collectd plugin for sos reports when it will be available
Summary: [RFE] enable collectd plugin for sos reports when it will be available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-log-collector
Classification: oVirt
Component: SOS-plugins
Version: ---
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Sandro Bonazzola
QA Contact: David Necpal
URL:
Whiteboard:
Depends On:
Blocks: 1456888
TreeView+ depends on / blocked
 
Reported: 2017-01-14 21:45 UTC by Sandro Bonazzola
Modified: 2018-01-09 16:50 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
For sosreport 3.4 and later, log-collector enables the collectd plugin, which collects the collectd configuration.
Clone Of:
Environment:
Last Closed: 2017-12-20 10:49:27 UTC
oVirt Team: Integration
rule-engine: ovirt-4.2+
lsvaty: testing_plan_complete-
ylavi: planning_ack+
sradco: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github sosreport sos pull 866 None None None 2017-01-14 21:45:37 UTC
oVirt gerrit 84596 master MERGED sos: add plugins provided in newer versions 2017-11-24 11:42:22 UTC

Description Sandro Bonazzola 2017-01-14 21:45:37 UTC
Description of problem:
In 4.1 we added collectd service for nodes and engine.
We should gather information about collectd relevant to oVirt use case.

- Review the proposed collectd plugin: https://github.com/sosreport/sos/pull/866
- Help fixing it if needed
- Require the sos release which will include it
- Enable it within log-collector.

Comment 1 Sandro Bonazzola 2017-01-14 21:46:35 UTC
Assigning to Shirly for initial review.

Comment 2 Yaniv Kaul 2017-06-06 21:42:21 UTC
It's in SOS 3.4 (https://github.com/sosreport/sos/pull/866) - is it available downstream?

Comment 3 Sandro Bonazzola 2017-06-08 11:58:53 UTC
(In reply to Yaniv Kaul from comment #2)
> It's in SOS 3.4 (https://github.com/sosreport/sos/pull/866) - is it
> available downstream?

Should be in RHEL 7.4

Comment 5 Yaniv Kaul 2017-06-08 13:26:32 UTC
(In reply to Sandro Bonazzola from comment #3)
> (In reply to Yaniv Kaul from comment #2)
> > It's in SOS 3.4 (https://github.com/sosreport/sos/pull/866) - is it
> > available downstream?
> 
> Should be in RHEL 7.4

devel-ack?

Comment 7 David Necpal 2017-11-30 11:20:08 UTC
Verified in version:
ovirt-engine-4.2.0-0.0.master.20171101152059.git8b85834.el7.centos.noarch
ovirt-log-collector-4.2.1-0.0.master.20171129193044.git105bbe9.el7.centos.noarch



4	./sosreport-example.com-20171130115750/etc/collectd.d/90-default-plugins-load.conf
4	./sosreport-example.com-20171130115750/etc/collectd.d/90-default-plugins-interface.conf
4	./sosreport-example.com-20171130115750/etc/collectd.d/90-default-plugins-cpu.conf
4	./sosreport-example.com-20171130115750/etc/collectd.d/postgresql.conf
4	./sosreport-example.com-20171130115750/etc/collectd.d/90-default-plugins-memory.conf
4	./sosreport-example.com-20171130115750/etc/collectd.d/90-default-plugins-syslog.conf
24	./sosreport-example.com-20171130115750/etc/collectd.d
44	./sosreport-example.com-20171130115750/etc/collectd.conf
4	./sosreport-example.com-20171130115750/etc/selinux/targeted/active/modules/100/collectd/cil
12	./sosreport-example.com-20171130115750/etc/selinux/targeted/active/modules/100/collectd/hll
4	./sosreport-example.com-20171130115750/etc/selinux/targeted/active/modules/100/collectd/lang_ext
20	./sosreport-example.com-20171130115750/etc/selinux/targeted/active/modules/100/collectd
4	./sosreport-example.com-20171130115750/lib/systemd/system/collectd.service

Comment 8 Sandro Bonazzola 2017-12-20 10:49:27 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.